job_specs: add wireguard perf tests to regression
[csit.git] / resources / libraries / bash / entry / tox / doc_verify.sh
1 # Copyright (c) 2022 Cisco and/or its affiliates.
2 # Licensed under the Apache License, Version 2.0 (the "License");
3 # you may not use this file except in compliance with the License.
4 # You may obtain a copy of the License at:
5 #
6 #     http://www.apache.org/licenses/LICENSE-2.0
7 #
8 # Unless required by applicable law or agreed to in writing, software
9 # distributed under the License is distributed on an "AS IS" BASIS,
10 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
11 # See the License for the specific language governing permissions and
12 # limitations under the License.
13
14 set -xeuo pipefail
15
16 # This file should be executed from tox, as the assumend working directory
17 # is different from where this file is located.
18 # This file does not have executable flag nor shebang,
19 # to dissuade non-tox callers.
20
21 # "set -eu" handles failures from the following two lines.
22 BASH_CHECKS_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))"
23 BASH_FUNCTION_DIR="$(readlink -e "${BASH_CHECKS_DIR}/../../function")"
24 source "${BASH_FUNCTION_DIR}/common.sh" || {
25     echo "Source failed." >&2
26     exit 1
27 }
28 source "${BASH_FUNCTION_DIR}/docs.sh" || die "Source failed."
29 common_dirs || die
30 activate_virtualenv || die
31
32 # Documentation generation.
33 # Here we do store only stderr to file while stdout (inlcuding Xtrace) is
34 # printed to console. This way we can track increased errors in future.
35 # We do not need to do trap as the env will be closed after tox finished the
36 # task.
37 exec 3>&1 || die
38 export BASH_XTRACEFD="3" || die
39 log_file="$(pwd)/doc_verify.log" || die
40
41 generate_docs 2> ${log_file} || die
42
43 if [[ "${DOCS_EXIT_STATUS}" != 0 ]]; then
44     # Failed to generate report.
45     warn
46     warn "Doc verify checker: FAIL"
47     exit 1
48 fi
49
50 warn
51 warn "Doc verify checker: PASS"